Package org.bgerp.plugin.bil.subscription.dao

# Class SubscriptionDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
org.bgerp.plugin.bil.subscription.dao.SubscriptionDAO

public class SubscriptionDAO extends CommonDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubscriptionDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getCost(Config config, Subscription subscription, int subscriptionProcessId)`
  Gets subscription cost out of product prices, minus service cost and discount.
  `BigDecimal`
  `getCost(Subscription subscription, int limitId, Collection<Integer> productProcessIds)`
  Gets subscription cost out of product prices.
  `List<String>`
  `getProducts(Config config, int subscriptionProcessId)`
  Selects product IDs, related to a subscription process.

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SubscriptionDAO

    public SubscriptionDAO(Connection con)

- ## Method Details

  - ### getCost

    public BigDecimal getCost(Subscription subscription, int limitId, Collection<Integer> productProcessIds) throws SQLException
    Gets subscription cost out of product prices.
    Parameters:
      `subscription` - subscription.
      `limitId` - sessions limit ID.
      `productProcessIds` - product processes IDs.
    Returns:
    Throws:
      `SQLException`

  - ### getCost

    public BigDecimal getCost(Config config, Subscription subscription, int subscriptionProcessId) throws SQLException, BGMessageException
    Gets subscription cost out of product prices, minus service cost and discount.
    Parameters:
      `config` -
      `subscription` -
      `subscriptionProcessId` -
    Returns:
    Throws:
      `SQLException`
      `BGMessageException`

  - ### getProducts

    public List<String> getProducts(Config config, int subscriptionProcessId) throws SQLException
    Selects product IDs, related to a subscription process.
    Parameters:
      `config` -
      `subscriptionProcessId` -
    Returns:
    Throws:
      `SQLException`